- Main Page
- Modules
- Classes
- Namespaces
- Files
- Related Pages

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Classes | Namespaces
cost_scaling.h File Reference
Minimum Cost Flow Algorithms
`#include <vector>`
`#include <deque>`
`#include <limits>`
`#include <lemon/core.h>`
`#include <lemon/maps.h>`
`#include <lemon/math.h>`
`#include <lemon/static_graph.h>`
`#include <lemon/circulation.h>`
`#include <lemon/bellman_ford.h>`

## Classes
struct | CostScalingDefaultTraits< GR, V, C >
| Default traits class of CostScaling algorithm. More...
class | CostScaling< GR, V, C, TR >
| Implementation of the Cost Scaling algorithm for finding a minimum cost flow. More...
struct | CostScaling< GR, V, C, TR >::SetLargeCost< T >
| Named parameter for setting `LargeCost` type. More...

## Namespaces
| lemon
| The namespace of LEMON.